Open CASCADE Technology: Data Fields - Typedefs

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- o
- p
- r
- s
- t
- u
- v

### - a -

- aligned_t : NCollection_IncAllocator

### - b -

- BOPCol_PMemBlock : BOPCol_Array1< Type >
- BOPCol_XMemBlock : BOPCol_Array1< Type >
- BVH_ArrayNt : BVH::Array< T, N >
- BVH_BinVector : BVH_BinnedBuilder< T, N, Bins >
- BVH_BoxNt : BVH_Set< T, N >
- BVH_MatNt : BVH_Transform< T, N >
- BVH_ObjectList : BVH_ObjectSet< T, N >
- BVH_Vec2t : BVH::VecComp< T, 2 >
- BVH_Vec3t : BVH::VecComp< T, 3 >
- BVH_Vec4t : BVH::VecComp< T, 4 >
- BVH_VecNt : BVH::BoxMinMax< T, N > , BVH_Tree< T, N > , BVH::BoxMinMax< T, 2 > , BVH_LinearBuilder< T, N > , BVH_Box< T, N > , BVH_Triangulation< T, N >

### - c -

- clocale_t : Standard_CLocaleSentry
- CommandFunction : Draw_Interpretor
- ComponentType_t : Image_ColorRGB32 , Image_ColorBGRA , Image_ColorRGBF , Image_ColorRGBA , Image_ColorBGRF , Image_ColorRGBAF , Image_ColorRGB , Image_ColorBGR , Image_ColorBGRAF , Image_ColorBGR32
- const_iterator : NCollection_IndexedMap< TheKeyType, Hasher > , NCollection_List< TheItemType > , NCollection_Map< TheKeyType, Hasher > , NCollection_Sequence< TheItemType > , NCollection_Vector< TheItemType > , NCollection_DataMap< TheKeyType, TheItemType, Hasher > , NCollection_IndexedDataMap< TheKeyType, TheItemType, Hasher > , NCollection_Array1< TheItemType >
- const_pointer : NCollection_StdAllocator< T > , NCollection_StdAllocator< void >
- const_reference : NCollection_StdAllocator< T >
- Curve : AIS_Dimension::SelectionGeometry

### - d -

- DataMapOfShapeColor : AIS_ColoredShape
- DataMapOfShapeCompd : AIS_ColoredShape
- DataMapOfShapeShape : AIS_ColoredShape
- difference_type : NCollection_StdAllocator< T >

### - e -

- element_type : NCollection_Handle< T > , Draw_Interpretor::CallBackDataMethod< theObjHandle >
- Equation : Graphic3d_ClipPlane

### - f -

- FCallbackBeforeTerminate : Draw_Window

### - g -

- glXSwapIntervalEXT_t : OpenGl_GlFunctions
- glXSwapIntervalSGI_t : OpenGl_GlFunctions

### - h -

- HArrow : AIS_Dimension::SelectionGeometry
- HCurve : AIS_Dimension::SelectionGeometry

### - i -

- ImgFormat : Image_PixMap
- initMemBlocks_t : NCollection_BaseVector
- IntPolyh_VectorOfType : IntPolyh_Array< Type >
- Iterator : TObj_TIntSparseArray , NCollection_List< TheItemType >
- iterator : NCollection_Vector< TheItemType > , NCollection_Sequence< TheItemType > , NCollection_List< TheItemType > , NCollection_IndexedDataMap< TheKeyType, TheItemType, Hasher > , NCollection_DataMap< TheKeyType, TheItemType, Hasher > , NCollection_Array1< TheItemType >
- Iterator : VrmlData_Group , VrmlData_Scene

### - l -

- ListNode : NCollection_List< TheItemType >
- ListOfLink : Poly_MakeLoops
- ListOfMapOfInteger : Image_Diff
- Loop : Poly_MakeLoops

### - m -

- Mat4 : OpenGl_Utils::MatrixType< Standard_Real > , OpenGl_Utils::MatrixType< Standard_ShortReal >
- methodType : Draw_Interpretor::CallBackDataMethod< theObjHandle >
- minMaxValuesCallback : Graphic3d_CGraduatedTrihedron

### - o -

- OpenGl_UserDrawCallback_t : OpenGl_GraphicDriver
- other : NCollection_StdAllocator< void >::rebind< U > , NCollection_StdAllocator< T >::rebind< U >

### - p -

- Point : NCollection_CellFilter< Inspector > , NCollection_CellFilter_InspectorXYZ , NCollection_CellFilter_InspectorXY
- pointer : NCollection_StdAllocator< T > , NCollection_StdAllocator< void >

### - r -

- reference : NCollection_StdAllocator< T >

### - s -

- SeqOfArrows : AIS_Dimension::SelectionGeometry
- SeqOfCurves : AIS_Dimension::SelectionGeometry
- size_type : NCollection_StdAllocator< T >
- StateInfo : OpenGl_View

### - t -

- Target : NCollection_CellFilter< Inspector > , BRepBuilderAPI_VertexInspector , BRepMesh_VertexInspector , BRepMesh_CircleInspector
- TPCallBackFunc : Standard_MMgrOpt
- TreeNode : NCollection_EBTree< TheObjType, TheBndType >
- Type : BVH::VectorType< T, 4 > , BVH::VectorType< T, 3 > , BVH::VectorType< T, 2 > , BVH::VectorType< T, 1 >
- type : opencascade::enable_if< Condition, T > , opencascade::conditional< Condition, TypeTrue, TypeFalse > , opencascade::conditional< false, TypeTrue, TypeFalse >
- Type : BVH::MatrixType< T, 4 > , BVH::ArrayType< T, N >

### - u -

- UBTree : NCollection_EBTree< TheObjType, TheBndType > , NCollection_UBTreeFiller< TheObjType, TheBndType >
- UBTreeNode : NCollection_UBTreeFiller< TheObjType, TheBndType >

### - v -

- value_type : NCollection_Array1< TheItemType > , NCollection_Array2< TheItemType > , NCollection_Sequence< TheItemType > , NCollection_StdAllocator< T > , NCollection_List< TheItemType > , NCollection_StdAllocator< void > , NCollection_Vector< TheItemType >
- Vec2 : OpenGl_Utils::VectorType< Standard_Real > , OpenGl_Utils::VectorType< Standard_ShortReal >
- Vec3 : OpenGl_Utils::VectorType< Standard_Real > , OpenGl_Utils::VectorType< Standard_ShortReal >
- Vec4 : OpenGl_Utils::VectorType< Standard_ShortReal > , OpenGl_Utils::VectorType< Standard_Real >